/////////////////////////////////////////////////////////////////////////////////////
// Katax Emperore  -- web3D sample  --
// Web3D + JavaScript programming by using three.js
// for more samples and details, please check my home page-->   www.kataxwork.com
/////////////////////////////////////////////////////////////////////////// 2017 ////

function Sky() {
    var geometry 		        = new THREE.SphereGeometry( 90, 16, 16 );
    var SkyTexture 	            = new THREE.Texture();
    var loader 			        = new THREE.ImageLoader();

    loader.load( 'images/desert-mapper.png', function(image){
        SkyTexture.image       = image;
        SkyTexture.needsUpdate = true;
    }          );

    var SkyMaterial             = new THREE.MeshBasicMaterial();
    SkyMaterial.map             = SkyTexture;
    SkyMaterial.side            = THREE.BackSide;

    this.SkyMesh 	            = new THREE.Mesh(geometry, SkyMaterial);
    this.SkyMesh.name 	        = 'object_00';
}

///////////////////// helper functions /////////////////////////////////////
Sky.prototype.setName =            function (name){
    this.SkyMesh.name  = name;
}

Sky.prototype.getName =            function (){
    return this.SkyMesh.name;
}
;